/// <reference types="react" />
import RedBox from './RedBox';
import AsyncStorage from './AsyncStorage';
import Window from './Window/Window';
export * from './QtQuick';
export { RedBox, AsyncStorage, Window };
declare const _default: {
    RedBox: ({ error, errorInfo, enableStacktrace }: {
        error: Error;
        errorInfo: import("react").ErrorInfo;
        enableStacktrace: boolean;
    }) => JSX.Element;
    AsyncStorage: typeof AsyncStorage;
    Window: import("react").ForwardRefExoticComponent<import("react").RefAttributes<{}>>;
};
export default _default;
