import { RegistryComponentMetadata } from '../common/AppRegistry';
export declare type RQElementMeasureCallback = (x: number, y: number, width: number, height: number, pageX: number, pageY: number) => void;
declare class RQElementContainer {
    readonly element: Qml.QmlElement;
    readonly metadata: RegistryComponentMetadata;
    readonly viewTag: number;
    constructor(element: Qml.QmlElement, metadata: RegistryComponentMetadata);
    setNativeProps(props: any): void;
    measure(callback: RQElementMeasureCallback): void;
    getViewTag(): number;
}
export default RQElementContainer;
