"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Timer = exports.LoggingCategory = exports.Instantiator = exports.Connections = exports.Component = exports.Binding = exports.QtObject = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// generatorVersion: 0.2
var generateQml = function generateQml(type) {
  return "import QtQml 2.3; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];
  var name = definition.name,
      module = definition.module,
      _definition$defaultPr = definition.defaultProperty,
      defaultProperty = _definition$defaultPr === void 0 ? 'data' : _definition$defaultPr;
  var tagName = "".concat(module, ".").concat(name);
  Module[name] = (0, _renderer.createRawQmlComponent)(generateQml(name), tagName, {
    defaultProp: defaultProperty
  });
}

var QtObject = Module.QtObject,
    Binding = Module.Binding,
    Component = Module.Component,
    Connections = Module.Connections,
    Instantiator = Module.Instantiator,
    LoggingCategory = Module.LoggingCategory,
    Timer = Module.Timer;
exports.Timer = Timer;
exports.LoggingCategory = LoggingCategory;
exports.Instantiator = Instantiator;
exports.Connections = Connections;
exports.Component = Component;
exports.Binding = Binding;
exports.QtObject = QtObject;
var _default = Module;
exports.default = _default;